runtime: python
env: flex
entrypoint: gunicorn -t 18000 --graceful-timeout 9000 -c configuration/gunicorn.conf.py -b :$PORT app:app

handlers:
  - url: .*
    script: auto
   
runtime_config:
    python_version: 3.7

env_variables:
    CLOUD_STORAGE_BUCKET: mct-sys-data

resources:
  cpu: 2
  memory_gb: 2
  disk_size_gb: 250

automatic_scaling:
  min_num_instances: 2
  max_num_instances: 15
  cool_down_period_sec: 120
  cpu_utilization:
    target_utilization: 0.3